Get list of free access documents

The Get list of free access documents method is used to get the list of the reseller's documents that can be accessed without the manager's token.

GET {base_url}/api/v3/resellers/{reseller_id}/free_access_documents

Arguments

Name

Parameter Type

Data type

Required/Optional

Description

X-Api-Token

header

string

Required

API token of a manager that performs the operation (see


)

Content-Type

header

string

Required

Media type of the request. Specify the following: application/vnd.api+json

Accept

header

string

Required

Supported media types of the answer. Specify the following: application/vnd.api+json

base_url

path

string

Required

ActivePlatform URL

reseller_id

path

number

Required

ID of the current reseller or any of its downstream resellers (see 


)

page[size]

query

integer

Optional

Page navigation: number of elements per page. The default value is 50

page[number]

query

integer

Optional

Page navigation: page number

Response model

Name

Data type

Description

data

array of objects

Response data


id

string

Document ID in the platform


type

string

Data type


attributes

object

Document information



created_at

string

Date and time of the document creation



updated_at

string

Data and time of the document last update



name

string

Document name



url

string

Link to the file of the document in the public file storage

links

array

Page navigation links that use the defined page navigation parameters


self

string

Current page link


first

string

First page link


prev

string

Previous page link


next

string

Next page link


last

string

Last page link

Request example

XML
GET /api/v3/resellers/1/free_access_documents
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
X-Api-Token: vY5fwetestK3gJXZH5uHCw
Accept: application/vnd.api+json

Response example

JSON
{
    "data": [
        {
            "id": "51",
            "type": "free_access_documents",
            "attributes": {
                "created_at": "2020-10-08T02:11:20.932646+0300",
                "updated_at": "2020-10-08T02:11:20.932646+0300",
                "name": "1.pdf",
                "url": "https://storage.test.activeplatform.com/public/free_access_documents/731c1c83578f8a7c14d0173dadbc72f1.pdf"
            }
        },
        {
            "id": "52",
            "type": "free_access_documents",
            "attributes": {
                "created_at": "2020-10-08T02:16:43.247122+0300",
                "updated_at": "2020-10-08T02:16:43.247122+0300",
                "name": "2.pdf",
                "url": "https://storage.test.activeplatform.com/public/free_access_documents/7610e1125f87af27367d53b58661975a.pdf"
            }
        },
        {
            "id": "55",
            "type": "free_access_documents",
            "attributes": {
                "created_at": "2020-10-09T16:49:12.819600+0300",
                "updated_at": "2020-10-09T16:49:12.819600+0300",
                "name": "5.pdf",
                "url": "https://storage.test.activeplatform.com/public/free_access_documents/b482623013d660c59bace40c4dcec419.pdf"
            }
        }
    ],
    "links": {
        "self": "https://test.activeplatform.com/api/v3/resellers/1/free_access_documents/?page%5Bnumber%5D=1&page%5Bsize%5D=50",
        "first": "https://test.activeplatform.com/api/v3/resellers/1/free_access_documents/?page%5Bnumber%5D=1&page%5Bsize%5D=50",
        "prev": null,
        "next": null,
        "last": "https://test.activeplatform.com/api/v3/resellers/1/free_access_documents/?page%5Bnumber%5D=1&page%5Bsize%5D=50"
    }
}